<?php
  /*
   * @author 		Marc Sven Kleinboehl (aka Hroudtwolf)
   * @copyright 	GNU Public License.
   */

  class classload_cachedriver_nocache implements classload_cachedriver {
          
    private $cache;
    
    /*
     * Implements classload_cachedriver->init ().
     */
    public function init () {

      $this->cache = classload_cache::load_classes_directory ();
      
      return;
    }
    
    /*
     * Implements classload_cachedriver->load  ().
     */
    public function load ($class_name) {
      
      if (!isset ($this->cache[$class_name]) || !file_exists ($this->cache[$class_name])) {
        
        return false;
      }
      
      require_once $this->cache[$class_name];
      
      return true;
    }   
    
    /*
     * Implements classload_cachedriver->class_file_exists  ().
     */
    public function class_file_exists ($class_name) {
      
      return isset ($this->cache[$class_name]) && 
             file_exists($this->cache[$class_name]);
    }
    
    /*
     * Implements classload_cachedriver->get_settings_description ().
     */
    public function get_settings_description () {
      
      return t('For development only. Warning, this mode could have an impact on performance.');
    }
    
    /*
     * Implements classload_cachedriver->reset ().
     */
    public function reset () {
      
      // Nothing to reset.
      
      return;
    }
  }