<?php
  /*
   * @author 		Marc Sven Kleinboehl (aka Hroudtwolf)
   * @copyright 	GNU Public License.
   */

  interface classload_cachedriver {
        
    /**
     * The initialization method.
     * Initializes the driver.
     */
    public function init ();
    
    
    /**
     * Enter description here ...
     * @param string $class_name loads a class.
     */
    public function load ($class_name);    
    
    /**
     * Checks wether a class file exists.
     * @param string $class_name The name of the class.
     * @return boolean TRUE on success.
     */
    public function class_file_exists ($class_name);
        
    /**
     * Retrieves the description text of a driver.
     * @return string A description text.
     */
    public function get_settings_description ();
    
    /**
     * Resets a driver.
     */
    public function reset ();
  }