<?php
  /*
   * @author 		Marc Sven Kleinboehl (aka Hroudtwolf)
   * @copyright 	GNU Public License.
   */

  /*
   * Implements the callback for the settings form.
   */
  function _classload_settings_form () {
    
    $form = array ();
    
    $form['frame1'] = array (
      '#title'	      => t('Caching'),
      '#type'	      => 'fieldset',
      '#description'  => t('Configure the autoload cache.'),
      '#weight'       => 0
    );
    
    $form['frame1']['classload_cachedriver'] = array (
      '#title'	  => t('Caching method'),
      '#type'	  => 'select',
      '#options'  => array (
        'drupal'    => t('The drupal way'),
        'filesys'	=> t('On filesystem'),
        'nocache'	=> t('No caching')
      ),
      '#default_value'   => variable_get ('classload_cachedriver', 'drupal'),
      '#description' 	 => classload_cache::get_cache_method_settings_description ()
    );  

    $form['frame1']['flush_cache'] = array (
      '#value'	  => t('Flush autoload cache'),
      '#type'	  => 'submit',
      '#submit'	  => array ('_classload_settings_flush_cache')
	);
	
    $form['frame2'] = array (
      '#title'	      => t('Informations'),
      '#type'	      => 'fieldset',
      '#weight'       => 30
    );
    
    $form['frame2']['markup1'] = array (
      '#type'	=> 'markup',
      '#value'	=> file_get_contents (drupal_get_path ('module', 'classload') . '/help/informations.html')
    );
    
    $form = system_settings_form($form);
    
    $form['#submit'][]                    = '_classload_settings_form_submit';
    $form['buttons']['submit']['#weight'] = 10;
    $form['buttons']['reset']['#weight']  = 20;
    
    return $form;
  }
  
  /*
   * Implements the submit callback for the settings form.
   */
  function _classload_settings_form_submit ($form, &$form_state) {
    
    classload_cache::reset_cache_method ();
    
    return;
  }
  
  /*
   * Implements the submit callback for the flush button of the settings form.
   */
  function _classload_settings_flush_cache ($form, &$form_state) {

    classload_cache::reset_cache_method ();
    
    drupal_set_message (t('Autoload cache cleared.'));
    
    return;
  }
  